#ifndef SIMPLELEDH
#define SIMPLELEDH

#include "led.h"
#include "buttons.h"
#include "vector"
#include "game.h"

class c_simpleLed : public c_game
{
public:
  c_simpleLed(e_game game): c_game{game} {}
  void runGame(void);
  void initGame(void);
};

void initSimpleLed(void);
void handleSimpleLed(bool newstate);
bool getStatusSimpleLed(void);

#endif //SIMPLELEDH